Bug 1652944 - Review Request: simbody - Multi-body dynamics and physics library
Summary: Review Request: simbody - Multi-body dynamics and physics library
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks: 1652916
TreeView+ depends on / blocked
 
Reported: 2018-11-23 16:17 UTC by Till Hofmann
Modified: 2020-08-18 20:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-12 17:23:36 UTC
Type: ---


Attachments (Terms of Use)

Description Till Hofmann 2018-11-23 16:17:54 UTC
Spec URL: https://thofmann.fedorapeople.org/simbody/simbody.spec
SRPM URL: https://thofmann.fedorapeople.org/simbody/simbody-3.6.1-1.fc28.src.rpm
Description:
Simbody is a high-performance, open-source toolkit for science- and
engineering-quality simulation of articulated mechanisms, including
bio-mechanical structures such as human and animal skeletons, mechanical
systems like robots, vehicles, and machines, and anything else that can be
described as a set of rigid bodies interconnected by joints, influenced by
forces and motions, and restricted by constraints.

Fedora Account System Username: thofmann

simbody is required by gazebo >= 9.

Comment 1 Till Hofmann 2018-11-23 16:19:28 UTC
Marking as NotReady as I'm waiting for upstream feedback on:
- https://github.com/simbody/simbody/issues/658
- https://github.com/simbody/simbody/issues/659

Comment 2 Rich Mattes 2018-11-24 22:28:43 UTC
FYI I made some attempts to package this a while ago, and found some issues regarding sse enablement, bundling Ipopt, etc

For reference, my most recent attempt is at:
https://copr-be.cloud.fedoraproject.org/results/@robotics-sig/gazebo-latest/fedora-26-x86_64/00592039-simbody/

Comment 3 Robert-André Mauchin 🐧 2018-11-25 17:01:34 UTC
 - The summary seems wrong here:

%package        visualizer
Summary:        Development files for %{name}

Comment 4 Artur Frenszek-Iwicki 2018-11-26 22:31:29 UTC
Do the docs contain any binaries? If not, they should be marked as "BuildArch: noarch".

Comment 5 Package Review 2020-07-10 00:56:54 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.


Note You need to log in before you can comment on or make changes to this bug.